Issue 121478 - Launching fails with error message "Unidentified Developer"
Summary: Launching fails with error message "Unidentified Developer"
Status: REOPENED
Alias: None
Product: Installation
Classification: Application
Component: www (show other issues)
Version: 3.4.1
Hardware: All Mac OS X, all
: P3 Normal with 2 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: http://support.apple.com/kb/HT5290
Keywords:
: 122732 122830 123548 123600 123806 123889 123927 124062 124232 124297 126225 127114 127149 127198 127249 127961 (view as issue list)
Depends on:
Blocks:
 
Reported: 2012-12-14 00:45 UTC by David L. Steele
Modified: 2018-12-10 19:10 UTC (History)
22 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.3
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description David L. Steele 2012-12-14 00:45:07 UTC
I downloaded OpenOffice for OS X from OpenOffice.org but when I attempt to open the app, I get the Unidentified developer error.  My security is set for "App store and identified developers". Dkid I download from the wrong site?
Comment 1 Ariel Constenla-Haile 2012-12-14 00:53:55 UTC
(In reply to comment #0)
> I downloaded OpenOffice for OS X from OpenOffice.org but when I attempt to
> open the app, I get the Unidentified developer error.  My security is set
> for "App store and identified developers"

Please see the Release Notes:
http://www.openoffice.org/development/releases/3.4.1.html#AOO3.4.1ReleaseNotes-KnownIssues

Apache OpenOffice 3.4.0 and 3.4.1 will be flagged by the new Gatekeeper facility in OS X Mountain Lion. This is a new feature to help guard against malware on Mac systems. There is a procedure laid out at the following link to allow applications not installed from the Mac App store to run. See the article at Mac support at http://support.apple.com/kb/HT5290

> Dkid I download from the wrong site?

The "good" site is http://www.openoffice.org/download/index.html
It will take to a SourceForge download page.
You can check the integrity of the downloaded file using "Signatures and Hashes", see "How to verify your download with ASC, MD5, SHA256 checksums?"
http://www.openoffice.org/download/checksums/3.4.1_checksums.html#howto
Comment 2 Rob Weir 2012-12-18 18:55:06 UTC
Not a bug.
Comment 3 binguo 2012-12-21 09:50:22 UTC
I agree, Verified as invalid.
Comment 4 binguo 2012-12-21 09:51:18 UTC
close it.
Comment 5 Rainer Bielefeld 2013-12-04 15:57:13 UTC
*** Issue 122830 has been marked as a duplicate of this issue. ***
Comment 6 Rainer Bielefeld 2013-12-04 15:57:29 UTC
*** Issue 123548 has been marked as a duplicate of this issue. ***
Comment 7 Rainer Bielefeld 2013-12-04 15:58:12 UTC
*** Issue 123806 has been marked as a duplicate of this issue. ***
Comment 8 Rainer Bielefeld 2013-12-19 21:20:22 UTC
*** Issue 123889 has been marked as a duplicate of this issue. ***
Comment 9 Rainer Bielefeld 2013-12-28 11:58:17 UTC
*** Issue 123927 has been marked as a duplicate of this issue. ***
Comment 10 Ariel Constenla-Haile 2014-02-22 23:39:26 UTC
*** Issue 124297 has been marked as a duplicate of this issue. ***
Comment 11 Ariel Constenla-Haile 2014-02-22 23:44:08 UTC
*** Issue 122732 has been marked as a duplicate of this issue. ***
Comment 12 Ariel Constenla-Haile 2014-02-22 23:45:42 UTC
*** Issue 124232 has been marked as a duplicate of this issue. ***
Comment 13 Rainer Bielefeld 2014-03-04 05:52:30 UTC
*** Issue 123600 has been marked as a duplicate of this issue. ***
Comment 14 Rainer Bielefeld 2014-03-04 05:53:51 UTC
*** Issue 124062 has been marked as a duplicate of this issue. ***
Comment 15 Ariel Constenla-Haile 2015-04-06 12:11:43 UTC
*** Issue 126225 has been marked as a duplicate of this issue. ***
Comment 16 Ariel Constenla-Haile 2016-09-15 17:31:11 UTC
*** Issue 127114 has been marked as a duplicate of this issue. ***
Comment 17 oooforum (fr) 2016-10-04 13:02:21 UTC
*** Issue 127149 has been marked as a duplicate of this issue. ***
Comment 18 Ariel Constenla-Haile 2016-10-28 16:36:03 UTC
*** Issue 127198 has been marked as a duplicate of this issue. ***
Comment 19 Ariel Constenla-Haile 2016-10-28 16:37:00 UTC
Reopening. This is a valid request for enhancement.
Comment 20 Matthias Seidel 2016-10-28 21:30:44 UTC
Would this be done by "Signing Disk Images!?

https://developer.apple.com/library/content/documentation/Security/Conceptual/CodeSigningGuide/Procedures/Procedures.html
Comment 21 Marcus 2016-12-16 16:55:53 UTC
*** Issue 127249 has been marked as a duplicate of this issue. ***
Comment 22 Larry Gusaas 2018-01-20 22:03:04 UTC
When are you going to sign AOO for macOS so users don't have to jump through the hoops to bypass Gatekeeper?

Users still posting to the forum about not being able to use AOO after installing it. (they also don't bother reading the release notes known issues. 

5 years is a long time for this issue to exist.
Comment 23 Peter 2018-01-21 03:37:25 UTC
It is currently undecided who should sign the gatekeeper.
Do we want to sign as Apache OpenOffice or as Apache Foundation.

Next step would be to pickup the discussion with infra again.
Then when we have the details, apply it to our package creation process.

This is what I remember where we got stuck.
Comment 24 Marcus 2018-12-10 19:10:28 UTC
*** Issue 127961 has been marked as a duplicate of this issue. ***